using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);
            string[] s1 = Console.ReadLine().Split();
            int x2 = int.Parse(s1[0]);
            int y2 = int.Parse(s1[1]);
            int x = 0;
            if (x1 == x2 || y1 == y2) x = 2;
            else if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2)) x = 1;
            Console.WriteLine(x);
        }
    }
}